# Hardware Options

The choice of hardware is the single biggest choice you will make.  Due to the growing popularity of this project the number of hardware choices is growing almost monthly.  

There are currently four common hardware options.  They are:

1. A ready-made DIY Mulitprotocol module from Banggood.com (see [here](http://www.banggood.com/2_4G-CC2500-A7105-Flysky-Frsky-Devo-DSM2-Multiprotocol-TX-Module-With-Antenna-p-1048377.html)) that integrates the microprocessor with all four supported RF modules and a hardware antenna switcher.  
[![Screenshot](images/4-in-1_Module_BG.jpeg?raw=true "4-in-1 MPTM from Banggood.com" =50x50)](Module_BG_4-in-1.md)
1. A host PCB for the DIY Multiprotocol module onto which the MCU and the desired RF modules can be soldered 
[![Screenshot](images/Multiprotocol_3.2.jpeg?raw=true =50x50 )](Module_Build_yourself_PCB.md)
1. Orange DSM Transmitter transmitter module that natively supports the CYRF6936 RF module. This module can be improved with Mulitprotocol firmware.  
[![Screenshot](images/OrangeRx_Module.jpg)](Module_OrangeRx.md)
1. A module built from scratch using perfboard, an Arduino Pro-Mini and the desired RF modules.
Unless you are handy with a soldering iron and you have access to electronic test equipment (like an oscilloscope) you should consider only Option 1.  For a price of about $44 you can get everything you need, neatly assembled 

[![Screenshot](images/Module_perfboard1.jpeg) ![Screenshot](images/Module_perfboard2.jpeg)](Module_Build_From_Scratch.md)

Click on any of the images above to understand more about each option.

